Bug 727579

Summary: Kernel 2.6.40 has an impressive power regression on thinkpad x220
Product: [Fedora] Fedora Reporter: Björn Ruberg <bjoern>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 17CC: adam, daduke, fabrice, gansalmon, itamar, jerlyon, jonathan, kernel-maint, madhu.chinakonda, mishu, pfrields, poelstra, robert.pollak, samuel-rhbugs, sergio, sgraf, tomspur
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=837316
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-09 10:41:19 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Björn Ruberg 2011-08-02 10:16:17 EDT
After upgrading to kernel 2.6.40 I saw in impressive increase in power usage on my new thinkpad x220. (core-i5 2410M) 
When ideling I cannot get under a power usage for 13 watts (measured by powertop).
When booting the 2.6.38 kernel the usage goes down to 8 watts.

Camera, fingerprint reader, bluetooth and express card slot is disabled by bios. I set pcie_aspm=force on kernel command line for both kernels.

powertop gives me no hint where the problem may come from.
Comment 1 Björn Ruberg 2011-08-02 10:55:20 EDT
Seems to be device specific. I don't see such an increase of power consumption on an eeepc-1005HA with an atom270. Actually there kernel 2.6.40 uses a little less power.
Comment 2 Dave Jones 2011-08-02 18:15:02 EDT
there's an i915_enable_rc6 option for i915.ko that might be relevant here.
Comment 3 Björn Ruberg 2011-08-03 15:14:09 EDT
It is - and setting it via the kernel commandline helps. Without, the power consumption is as catastrophic as described.
Comment 4 Dave Jones 2011-08-03 15:32:21 EDT
enabling it by default in 3.0 caused regressions for some people, so it was disabled. Hopefully Intel figures it out, and we can switch it back on by default in 3.1 / 2.6.41 (until then, you'll have to set it by hand).
Comment 5 Sergio Monteiro Basto 2011-08-10 11:30:06 EDT
(In reply to comment #3)
> It is - and setting it via the kernel commandline helps. Without, the power
> consumption is as catastrophic as described.

where I put this ? in grub.conf kernel boot option ? just i915_enable_rc6 is enough ? 

kernel (...) i915_enable_rc6
Comment 6 Björn Ruberg 2011-08-10 15:01:31 EDT
i915.i915_enable_rc6=1

I use additionally pcie_aspm=force to avoid the increased power consumption since kernel 2.6.38
Comment 7 Jeremy 2011-10-06 09:42:11 EDT
*** Bug 742817 has been marked as a duplicate of this bug. ***
Comment 8 Christian Herzog 2011-10-08 05:49:38 EDT
I noticed the same on my X220 (i7-2620M), enable_rc6 helps, but pcie_aspm leads to file system corruption on the SD card reader - does anyone else see this? I'm on F16 Beta.
Comment 9 Björn Ruberg 2011-10-08 10:17:03 EDT
I have experienced such problems with SD cards - but didn't test whether they are acutally caused by the aspm force.
Comment 10 Fabrice Bellet 2011-10-08 16:08:21 EDT
The problem with the SD card reader on the thinkpad X220 is a separate issue, recently resolved, in bug #722509.
Comment 11 Christian Herzog 2011-10-09 05:30:20 EDT
thanks! interesting, as it was triggered by pcie_aspm in my tests, but with the setpci's everything is working fine.
Comment 12 Dave Jones 2012-04-11 13:03:52 EDT
The 2.6.43.1 update enables rc6 again. Can you retest ?
Comment 13 Josh Boyer 2012-07-11 13:52:16 EDT
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.
Comment 14 Paul W. Frields 2012-11-09 09:58:13 EST
I believe this bug appears in current F17 x86_64, kernel 3.6.3-1.fc17.x86_64.

I can reliably reproduce the behavior by suspending and resuming my x220 (type 4286CTO, add'l hardware configuration info available on request).  I can also reliably work around it by adding "i915.i915_enable_rc6=1" to the kernel boot configuration.  I've done several iterations of cold boot, run sudo powertop, suspend, resume, watch wattage soar (or not).

Without the kernel option, power usage roughly doubles on my system and stays there, compared to with.
Comment 15 Paul W. Frields 2012-11-09 10:41:19 EST
Apologies for any muddying here.  But I kept running additional tests, and now sometimes the fix is *not* working.  The GPU shows pegged at 100% active, which I believe is an indicator for what's dragging the power.  But it's not reliably doing this based on the kernel option any more.  So I'll close this again, run additional tests, and report a clean bug once I can narrow it down.
Comment 16 Josh Boyer 2012-11-09 11:46:01 EST
(In reply to comment #15)
> Apologies for any muddying here.  But I kept running additional tests, and
> now sometimes the fix is *not* working.  The GPU shows pegged at 100%
> active, which I believe is an indicator for what's dragging the power.  But
> it's not reliably doing this based on the kernel option any more.  So I'll
> close this again, run additional tests, and report a clean bug once I can
> narrow it down.

You might be seeing bug 866212